It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

aui-inline-dialog2 renamed to aui-inline-dialog in latest aui, how to support old and new versions in addon?

Upgrading from 5.8 to 5.9 guide on https://docs.atlassian.com/aui/latest/docs/upgrade-guide.html mentions the backward incompatible changes, as per that "aui-inline-dialog2" is changed to "aui-inline-dialog". If our server add-on wants to support old JIRA versions (using aui version below 5.9) we can't use this inline dialog as it will fail on one version or other.

Is there alternative to this so that it works in both versions with same code?

1 answer

0 votes
Sean Curtis Atlassian Team Nov 20, 2016

The only way would be to detect which version of AUI is being used and output the relevant markup.

Suggest an answer

Log in or Sign up to answer
TAGS

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you